Name:		sl7-upgrade
Version:	0.1.1
Release:	2%{?dist}
Summary:	A simple integration hook for PackageKit

Group:		System Environment/Base
License:	GPLv2+
URL:		https://www.scientificlinux.org/
Source0:	%{name}.tar.bz2

BuildArch:	noarch
BuildRequires:	bash coreutils util-linux
Requires:	PackageKit PackageKit-yum PackageKit-yum-plugin zenity
Requires:	polkit util-linux yum yum-plugin-upgrade-helper

# We need a version from 7.6, where we patched it so this actually works
Requires:	PackageKit > 1.1.5-2.sl7_5

# This script is called by the tool
Requires:	/usr/libexec/sl-release/set-slrelease7x.sh
Conflicts:	sl-release >= 8.0

Provides:	config(preupgrade-scientificlinux) = 7.6
Provides:	config(preupgrade-sl) = 7.6

%description
This package provides the necessary hooks for PackageKit to detect
when a new release of SL7 is published and notify the user.

%prep
%setup -q -n %{name}


%build
echo "Done"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}

mkdir -p %{buildroot}/usr/share/preupgrade/
install -m 0644 releases.list %{buildroot}/usr/share/preupgrade/releases.list

mkdir -p %{buildroot}/usr/sbin/
install -m 755 run_commands.sh %{buildroot}/usr/sbin/sl7-upgrade

mkdir -p %{buildroot}/usr/share/polkit-1/actions/
install -m 644 org.freedesktop.policykit.pkexec.sl7-upgrade.policy %{buildroot}/usr/share/polkit-1/actions/org.freedesktop.policykit.pkexec.sl7-upgrade.policy

%files
%defattr(-, root, root)
/usr/sbin/sl7-upgrade
/usr/share/preupgrade/releases.list
/usr/share/polkit-1/actions/org.freedesktop.policykit.pkexec.sl7-upgrade.policy

%changelog
* Wed Nov 7 2018 Pat Riehecky <riehecky@fnal.gov> - 0.1.1-2
- Simplify requires

* Tue Oct 30 2018 Pat Riehecky <riehecky@fnal.gov> - 0.1.1
- Switch to polkit from consolehelper

* Mon Oct 29 2018 Pat Riehecky <riehecky@fnal.gov> - 0.1.0
- Initial build for SL7
